Skip to main content
PATCH
Update or close a conversation

Authorizations

Authorization
string
header
required

Organization-scoped Auth0 user access token issued to an approved first-party client or exchanged by a trusted OBO resource server.

Path Parameters

id
string
required

Opaque Arbol resource identifier; the endpoint and tenant-scoped lookup determine its resource type.

Maximum string length: 64
Pattern: ^[a-z][a-z0-9]{1,15}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"

Body

application/json
agentId
string | null

Opaque Arbol resource identifier; the endpoint and tenant-scoped lookup determine its resource type.

Maximum string length: 64
Pattern: ^[a-z][a-z0-9]{1,15}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"

closeReason
enum<string>

Reason recorded when a Conversation enters its closed state.

Available options:
completed,
inactivity,
handoff,
provider_migration,
error,
manual
Example:

"completed"

contactId
string | null

Opaque Arbol resource identifier; the endpoint and tenant-scoped lookup determine its resource type.

Maximum string length: 64
Pattern: ^[a-z][a-z0-9]{1,15}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"

outcome
enum<string> | null

Structured business outcome assigned to a Conversation.

Available options:
successful,
unsuccessful,
follow_up_needed,
no_answer
Example:

"successful"

sentiment
enum<string> | null

Coarse sentiment assigned to a Conversation.

Available options:
positive,
neutral,
negative
Example:

"neutral"

status
string
Allowed value: "closed"
subjectContactId
string | null

Opaque Arbol resource identifier; the endpoint and tenant-scoped lookup determine its resource type.

Maximum string length: 64
Pattern: ^[a-z][a-z0-9]{1,15}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"

summary
string | null
Maximum string length: 4000
title
string | null
Maximum string length: 500

Response

OK

Tenant-scoped Conversation metadata; transcripts and media require separate authorized expansions.

agentId
string | null
required

Opaque Arbol resource identifier; the endpoint and tenant-scoped lookup determine its resource type.

Maximum string length: 64
Pattern: ^[a-z][a-z0-9]{1,15}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"

channelKind
enum<string>
required

Conversation transport family.

Available options:
voice,
whatsapp,
telegram,
slack,
email,
web
Example:

"voice"

closeReason
enum<string> | null
required

Reason recorded when a Conversation enters its closed state.

Available options:
completed,
inactivity,
handoff,
provider_migration,
error,
manual
Example:

"completed"

contactId
string | null
required

Opaque Arbol resource identifier; the endpoint and tenant-scoped lookup determine its resource type.

Maximum string length: 64
Pattern: ^[a-z][a-z0-9]{1,15}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"

createdAt
string<date-time>
required

ISO 8601 timestamp with an explicit UTC offset.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Example:

"2026-08-29T14:30:00Z"

direction
enum<string>
required

Direction of a Conversation relative to the organization.

Available options:
inbound,
outbound
Example:

"inbound"

durationSeconds
integer | null
required
Required range: 0 <= x <= 9007199254740991
endedAt
string<date-time> | null
required

ISO 8601 timestamp with an explicit UTC offset.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Example:

"2026-08-29T14:30:00Z"

id
string
required

Opaque Arbol resource identifier; the endpoint and tenant-scoped lookup determine its resource type.

Maximum string length: 64
Pattern: ^[a-z][a-z0-9]{1,15}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"

language
string | null
required
Maximum string length: 35
lastMessageAt
string<date-time> | null
required

ISO 8601 timestamp with an explicit UTC offset.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Example:

"2026-08-29T14:30:00Z"

messageCount
integer
required
Required range: 0 <= x <= 9007199254740991
originKind
enum<string>
required

Source that created the Conversation record.

Available options:
inbound,
manual,
automation,
import,
test
Example:

"manual"

outcome
enum<string> | null
required

Structured business outcome assigned to a Conversation.

Available options:
successful,
unsuccessful,
follow_up_needed,
no_answer
Example:

"successful"

sentiment
enum<string> | null
required

Coarse sentiment assigned to a Conversation.

Available options:
positive,
neutral,
negative
Example:

"neutral"

startedAt
string<date-time>
required

ISO 8601 timestamp with an explicit UTC offset.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Example:

"2026-08-29T14:30:00Z"

status
enum<string>
required

Durable lifecycle state of a Conversation.

Available options:
open,
closed
Example:

"open"

subjectContactId
string | null
required

Opaque Arbol resource identifier; the endpoint and tenant-scoped lookup determine its resource type.

Maximum string length: 64
Pattern: ^[a-z][a-z0-9]{1,15}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"

summary
string | null
required
Maximum string length: 8000
title
string | null
required
Maximum string length: 500
updatedAt
string<date-time>
required

ISO 8601 timestamp with an explicit UTC offset.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Example:

"2026-08-29T14:30:00Z"